TAPIIR(1)

NAME
tapiir - A software multitap delay with realtime I/O

SYNOPSIS
tapiir [--alsa [alsa_options] | [--jack [jack_options] ] [-h | --help]
tapiir_alsa [alsa_options]
tapiir_jack [jack_options]

DESCRIPTION
This manual page documents briefly the tapiir application.

tapiir is a software multitap delay with realtime audio I/O. It's internal processing modules consist of six delay-lines, each with a mixer at it's input and a gain control at it's output, and a stereo output mixer. Stereo input from an external source, typically a musical instrument, is routed to all input mixers. In addition to this, the output of each delay line is also routed to the input mixers of all delay lines, including itself. For a detailed explanation of the multitap delay technique, and a more comprehensive description of tapiir capabilities and internals, see the document referenced in the SEE ALSO section below. A set of example configuration files are provided in the /usr/doc/tapiir-0.7.3/examples directory, which offer a good overview of the things you can achieve using tapiir, and also provide a good starting point to learn to use it. To run tapiir, you need either the ALSA sound system or the JACK audio server, and the audio from your musical interpretation fed into your soundcard.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

--alsa
    Use ALSA, same as running tapiir_alsa

--jack
    Use JACK, same as running tapiir_jack

-h, --help
    Show summary of options.

ALSA OPTIONS

-P, --pdevice  playback_device
    Set the ALSA device to use for audio output to playback_device (default "hw:0,0")

-C, --cdevice  capture_device
    Set the ALSA device to use for audio input to capture_device (default "hw:0,0")

-m, --min  minimum_latency
    Set the desired latency to minimum_latency samples (default 256)

-M, --max  maximum_latency
    Set the highest allowed latency to maximum_latency samples (default 1024)

-r, --rate  rate
    Set the sampling rate to rate Hz (default 48000)

-b, --block
    Use blocking access to the audio device (not used by default)

-t, --time  time
    maximal tick time in us

-p, --poll
    Use polling access to the audio device (used by default)

JACK OPTIONS

-C, --cconnect  <LEFT,RIGHT>
    jack-connect to the specified capture client jack ports (default: none)

-P, --pconnect  <LEFT,RIGHT>
    jack-connect to the specified playback client jack ports (default: none)

-a, --alsaconnect
    jack-connect to alsa_pcm.

SEE ALSO
TAPIIR, A SOFTWARE MULTITAP DELAY, Proceedings of the COST G-6 Conference on Digital Audio Effects (DAFX-01), Limerick, Ireland, December 6-8, 2001 available in /usr/doc/tapiir-0.7.3/tapiir.html aconnect(1), jack_connect(1), jack_lsp(1)

AUTHOR
Tapiir was written by Maarten de Boer <maarten@resorama.com>. This manual page was written by Enrique Robledo-Arnuncio <erobledo@debian.org> for the Debian GNU/Linux system (but may be used by others).